use anyhow;

use std::sync::mpsc::SyncSender;
use std::thread;
use std::time::Duration;

use crate::modem::Msg;

pub fn main(sender: SyncSender<Msg>) -> Result<(), anyhow::Error> {
    println!("entering ACCELERATOR sender loop ...");
    for i in 0..20 {
        println!("sending ACCELERATOR message ({}) of 20 ...", i);
        let _ = sender.send(Msg::Movement("{\"velocity\": 21.43, \"altitude\": 367}".to_string()))?;
        thread::sleep(Duration::from_millis(2000));
    }
    Ok(())
}
